Troy
How to use Troy to submit a payin in Türkiye.
Payin by Troy
POST https://gateway-test.pagsmile.com/trade/create
This endpoint allows you to submit a payin by Troy in Türkiye.
Headers
Content-Type*
string
application/json; chartset=UTF-8
Authorization*
string
Basic Base($app_id:$security_key)
Request Body
app_id*
string
created app's id at dashboard
- Max. 32 chars -
method*
string
Fixed value: Troy
out_trade_no*
string
ID given by the merchant in their system - Max. 64 chars -
notify_url*
string
Where Pagsmile will send notification to
timestamp*
string
yyyy-MM-dd HH:mm:ss - Max. 19 chars -
subject*
string
payment reason or item title
- Max. 128 chars -
order_amount*
string
payment amount - 0.01~ TRY-
order_currency*
string
Fixed value: TRY
content
string
payment reason detail or item detail
- Max. 255 chars -
buyer_id*
string
merchant user's id
version*
string
Fixed value: 2.0
trade_type*
string
Fixed value: WEB
timeout_express
string
m(minutes), h(hours), d(days), c(always end in current day).
Used to control the expiration time of submitting an order (from initial to processing). (90m in default, max 15d)
Example
Note: 162************38 is pagsmile's test app id for sandbox, and MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ== is authorization token associated with the test app id.
Please use your own app_id and generate your own authorization token when testing.
Last updated